package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Cnn;
import com.brilliance.isc.bo.Ejscpd;
import com.brilliance.isc.vo.collection.EjscpdWithPtySptResponseVo;
import com.brilliance.isc.vo.collection.InfejsQueryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface EjscpdMapper {

    int insert(Ejscpd record);

    int insertSelective(Ejscpd record);

    int updateByPrimaryKeySelective(Ejscpd record);

    int updateByPrimaryKey(Ejscpd record);

    int deleteByPrimaryKey(Ejscpd record);

    int deleteByIds(Collection<Object> collection);

    Ejscpd selectByPrimaryKey(Ejscpd record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Ejscpd> dyncRead(Map<String, Object> dyncMap);

    List<EjscpdWithPtySptResponseVo> queryInfEjs(InfejsQueryVo param);

    List<Ejscpd> selectBySmhinr(@Param("smhinr") String smhinr);

    Ejscpd selectBySptinr(@Param("sptinr") String sptinr);

    int updateStaBySmhinr(@Param("smhinr") String smhinr);

    int updateStaBySmhinrAndSta(@Param("smhinr") String smhinr,@Param("sta") String sta);

}